Subject: Re: WIP: new system catalog pg_wait_event

From: Michael Paquier <[email-masked]>
Date: Wed, 16 Aug 2023 15:22:41 +0900

On Wed, Aug 16, 2023 at 07:04:53AM +0200, Drouvot, Bertrand wrote:
> I'd prefer the singular form. There is a lot of places where it's already used
> (pg_database, pg_user, pg_namespace...to name a few) and it looks like that using
> the plural form are exceptions.

Okay, fine by me.  Also, I would remove the "wait_event_" prefixes to
the field names for the attribute names.

> Yeah, now that af720b4c50 is done, I'll add the custom wait events handling
> in v6.

Thanks.  I guess that the hash tables had better remain local to
wait_event.c.
--
Michael